Genres API

Browse and retrieve radio content by genre.

Genre Object

Standard genre object structure:

{
  "id": 1,
  "name": "Pop",
  "slug": "pop",
  "logo": "https://example.com/storage/genres/pop.png",
  "description": "Popular music",
  "created_at": "2023-01-01T10:00:00Z",
  "updated_at": "2023-01-01T10:00:00Z"
}

List All Genres

Get a list of all active genres.

Endpoint: GET /api/v1/genres Authentication: Optional

Response

{
  "success": true,
  "message": "Genres retrieved successfully",
  "data": [
    { ...GenreObject },
    { ...GenreObject }
  ]
}

Get Genre Details

Get a specific genre and its associated radio channels.

Endpoint: GET /api/v1/genres/{genre_id} Authentication: Optional

Response

{
  "success": true,
  "message": "Genre retrieved successfully",
  "data": {
    "id": 1,
    "name": "Pop",
    ...
    "radio_channels": [
      {
        "id": 101,
        "name": "Pop Station 1",
        "stream_url": "...",
        "logo": "..."
      }
    ]
  }
}